petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMCreateSubDM

Returns an IS and DM encapsulating a subproblem defined by the fields passed in. The fields are defined by DMCreateFieldIS().

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCreateSubDM(DM dm, PetscInt numFields, const PetscInt fields[], IS *is, DM *subdm)

Not collective

### Input Parameters

| dm | - The DM object
| numFields | - The number of fields in this subproblem
| fields | - The field numbers of the selected fields

### Output Parameters

| is | - The global indices for the subproblem
| subdm | - The DM for the subproblem

### See Also

DMDestroy(), DMView(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMCreateFieldIS()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex77.c.html

### Implementations

DMCreateSubDM_DA in src/dm/impls/da/dacreate.c
DMCreateSubDM_Forest in src/dm/impls/forest/forest.c
DMCreateSubDM_Patch in src/dm/impls/patch/patch.c
DMCreateSubDM_Plex in src/dm/impls/plex/plex.c
DMCreateSubDM_Shell in src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages